org.eclipse.viatra.cep.vepl.vepl

## Interface AtomicEventPattern

- All Superinterfaces:
    AbstractAtomicEventPattern, org.eclipse.emf.ecore.EObject, EventPattern, ModelElement, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    AtomicEventPatternImpl

      public interface AtomicEventPattern
      extends AbstractAtomicEventPattern

  A representation of the model object 'Atomic Event Pattern'.

  The following features are supported:

  - `Traits`
  - `Check Expression`
  See Also:
    `VeplPackage.getAtomicEventPattern()`
  Generated:
  Model:

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.xtext.xbase.XExpression` | `getCheckExpression()` Returns the value of the 'Check Expression' containment reference.
    `TraitList` | `getTraits()` Returns the value of the 'Traits' containment reference.
    `void` | `setCheckExpression(org.eclipse.xtext.xbase.XExpression value)` Sets the value of the '`Check Expression`' containment reference.
    `void` | `setTraits(TraitList value)` Sets the value of the '`Traits`' containment reference.

    - ### Methods inherited from interface org.eclipse.viatra.cep.vepl.vepl.EventPattern

      `getParameters, setParameters`

    - ### Methods inherited from interface org.eclipse.viatra.cep.vepl.vepl.ModelElement

      `getName, setName`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getTraits

          TraitList getTraits()

      Returns the value of the 'Traits' containment reference.

      If the meaning of the 'Traits' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Traits' containment reference.
      See Also:
        `setTraits(TraitList)`, `VeplPackage.getAtomicEventPattern_Traits()`
      Generated:
      Model:
        containment="true"

    - #### setTraits

          void setTraits(TraitList value)

      Sets the value of the '`Traits`' containment reference.
      Parameters:
        `value` - the new value of the 'Traits' containment reference.
      See Also:
        `getTraits()`
      Generated:

    - #### getCheckExpression

          org.eclipse.xtext.xbase.XExpression getCheckExpression()

      Returns the value of the 'Check Expression' containment reference.

      If the meaning of the 'Check Expression' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Check Expression' containment reference.
      See Also:
        `setCheckExpression(XExpression)`, `VeplPackage.getAtomicEventPattern_CheckExpression()`
      Generated:
      Model:
        containment="true"

    - #### setCheckExpression

          void setCheckExpression(org.eclipse.xtext.xbase.XExpression value)

      Sets the value of the '`Check Expression`' containment reference.
      Parameters:
        `value` - the new value of the 'Check Expression' containment reference.
      See Also:
        `getCheckExpression()`
      Generated: